Skip to main content
GET
/
v0
/
accounts
List accounts
curl --request GET \
  --url https://api.example.com/v0/accounts
{
  "data": [
    {
      "id": "<string>",
      "name": "<string>",
      "total_balance": 123,
      "available_balance": 123
    }
  ]
}
Returns a paginated list of your organization’s open bank accounts. Each account includes its current total balance and available balance.

Response

data
Account[]

Example

Request

curl "https://api.getlemma.com/v0/accounts" \
  -H "Authorization: Bearer lm_key_your_api_key"

Response

{
  "data": [
    {
      "id": "d4f5a1b2-3c4d-4e5f-8a6b-7c8d9e0f1a2b",
      "name": "Operating Account",
      "total_balance": 2450000,
      "available_balance": 2350000
    },
    {
      "id": "e5a6b7c8-9d0e-4f1a-8b2c-3d4e5f6a7b8c",
      "name": "Collections Account",
      "total_balance": 875430,
      "available_balance": 875430
    }
  ]
}
In this example, the Operating Account has a total balance of $24,500.00 with $23,500.00 available (the remaining $1,000.00 is held by a pending transaction). The Collections Account has $8,754.30 fully available.